local player = {}

local networking = require "src.class.networking"
local udp = networking.getudp()

local speed = 1
local playerPositionX = 0
local playerPositionY = 0
local playerName = os.time()

local playerMovingUp = false
local playerMovingDown = false
local playerMovingLeft = false
local playerMovingRight = false

function player.update()
	if playerMovingUp or playerMovingDown or playerMovingLeft or playerMovingRight then
		if playerMovingUp then
			playerPositionX = playerPositionX - speed
		end
		if playerMovingDown then
			playerPositionX = playerPositionX + speed	
		end
		if playerMovingLeft then
			playerPositionY = playerPositionY + speed
		end
		if playerMovingRight then
			playerPositionY = playerPositionY - speed
		end
		udp:send("updatePos "..playerName.." "..playerPositionX.." "..playerPositionY)
	end
end

function player.draw()
	love.graphics.setColor(143,179,57)
	love.graphics.rectangle("fill", playerPositionX, playerPositionY, 10, 10)
end

function player.getPositionX()
	return playerPositionX
end

function player.getPositionY()
	return playerPositionY
end

function player.changeSpeed(newSpeed)
	speed = newSpeed
end

function player:move(axis, startorstop)
	if startorstop == "start" then
		if axis == "+x" then
			playerMovingUp = true
		elseif axis == "-x" then
			playerMovingDown = true
		elseif axis == "+y" then
			playerMovingRight = true
		elseif axis == "-y" then
			playerMovingLeft = true
		end
	else
		if axis == "+x" then
			playerMovingUp = false
		elseif axis == "-x" then
			playerMovingDown = false
		elseif axis == "+y" then
			playerMovingRight = false
		elseif axis == "-y" then
			playerMovingLeft = false
		end
	end
end

return player