local game = {}

function game.load()
	console = require "src.class.console"
	player = require "src.class.player"
	enviroment = require "src.class.enviroment"
	players = require "src.class.players"
	players.load()
end

function game.update()
	player.update()
	players.update()
	enviroment.update()
end

function game.draw()
	screenWidth = love.graphics.getWidth()
	screenHeight = love.graphics.getHeight()

	console.draw()

	--Move Camera
	love.graphics.translate(player.getPositionX() * -1 + screenWidth/2 - 5, player.getPositionY() * - 1 + screenHeight/2 - 5)

	--Draw Stats
	love.graphics.setColor(255, 255, 255)
	love.graphics.print("FPS: "..love.timer.getFPS()..string.char(10).."Resolution: "..screenWidth.."x"..screenHeight..string.char(10).."Position: X:"..player.getPositionX().." Y: "..player.getPositionY(), 0, 0)

	player.draw()
	--enviroment.draw()
	players.draw()
end

function game.mouseDown(fx, fy, button)
	--enviroment.mouseDown(fx, fy, button)
end

function game.keyDown(key)
	if key == "w" then
		player:move("+y", "start")
	elseif key == "s" then
		player:move("-y", "start")
	elseif key == "a" then
		player:move("+x", "start")
	elseif key == "d" then
		player:move("-x", "start")
	end
end

function game.keyUp(key)
	if key == "w" then
		player:move("+y", "stop")
	elseif key == "s" then
		player:move("-y", "stop")
	elseif key == "a" then
		player:move("+x", "stop")
	elseif key == "d" then
		player:move("-x", "stop")
	end
end

return game